ITPub博客

首页 > 数据库 > Oracle > Linux安装Oracle报错(system version problem)导致runInstaller无法完成 解决

Linux安装Oracle报错(system version problem)导致runInstaller无法完成 解决

Oracle 作者:liugnet 时间:2013-05-24 17:36:34 0 删除 编辑

在Linux系统中安装oralce的过程中,如果Linux发行版本不是oracle的推荐版本,可能会报如下错误,导致runInstaller无法完成:

Checking operating system version: must be redhat-3, SuSE-9, redhat-4, UnitedLinux-1.0, asianux-1 or asianux-2
Failed <<<<

遇到这个问题,可以通过如下两种方式解决

1、修改Linux的发行标记

如在redhat-5上安装oracle的时候,需要将文件 '/etc/redhat-release'的内容由

Red Hat Enterprise Linux Server release 5 (Tikanga)

修改为

Red Hat Enterprise Linux Server release 4 (Tikanga)

2、runInstaller的时候加上-ignoreSysPreReqs参数,如:

./runInstaller -ignoreSysPreReqs

不过不推荐这种方式,因为这可能会错过对操作系统内核参数以及oracle必需的包的检测。


安装ORACLE 10G时,报告操作系统版本(operating system version)检查失败之案例


〖Environment(环境)〗

OS:solaris 9

DB:Oracle 10G

〖Symptom现象)    

执行./runInstaller以后,报告下面的错误:

  Checking installer requirements……

  Checking operating system version: must be 5.6, 5.7, 5.8 or 5.9。 Actual 5.10
  Failed <<<<

  Exiting Oracle Universal Installer, log for this session can be found at

/tmp/OraInstall2005-11-12_09-45-32AM/installActions2005-11-12_09-45-32AM。log

 从上面的提示可以看出,操作系统的版本检查失败。

〖Cause 原因)         

出现这样的问题,算是ORACLE的一个小BUG。

Oraparam.ini 是安装时的一个初始化安装文件,它设置了安装时的一些参数,在安装时,Oracle Software Installer将会读取这个文件的内容。理解这个文件的内容可以帮助我们解决安装过程中的一些疑难问题。一般情况下,不需要修改这个文件的内容。这个文件位于解压目录的子目录install下。

从安装的提示可以看出,应该和操作系统的版本号有关。

〖Action(方法)            

Step01:查看安装日志。

当ORACLE安装出现问题的时候,首先应该查看安装日志。安装日志通常会给我们某些提示,快速地帮助我们排查安装失败的原因所在。本例中,查看安装日志/tmp/OraInstall2005-11-12_09-45-32AM/installActions2005-11-12_09-45-32AM.log,我们发现

参数Solaris=5.6,5.7,5.8,5.9,没有5.10。

Step02:修改oraparam.ini的参数,在后面加上5.10

# vi install/oraparam.ini

DISTRIBUTION=TRUE

SOURCE=../stage/products.xml

LICENSE_LOCATION=

JRE_LOCATION=../stage/Components/Oracle.swd.jre/1.4.2.0.0/1/DataFiles

JRE_MEMORY_OPTIONS=" -mx96m"

……[Certified Versions]

#You can customise error message shown for failure through CERTIFIED_VERSION_FAILURE_M

ESSAGE

Solaris=5.6,5.7,5.8,5.9, 5.10(在这里加上5.10)

Linux=redhat-2.1AS

#HPUX=B.11.00

Decunix=V5.1A,V5.1

AIX=5.1.0.0

Step03:重新启动Oracle安装程序。

<!-- 正文结束 -->

来自 “ ITPUB博客 ” ,链接:http://blog.itpub.net/26200130/viewspace-1113979/,如需转载,请注明出处,否则将追究法律责任。

上一篇: 没有了~
下一篇: 没有了~
请登录后发表评论 登录
全部评论

注册时间:2011-08-23